summaryrefslogtreecommitdiffstats
path: root/target/linux/rb532-2.6/base-files/default
diff options
context:
space:
mode:
authorTim Yardley <lst@openwrt.org>2007-03-02 18:17:40 +0000
committerTim Yardley <lst@openwrt.org>2007-03-02 18:17:40 +0000
commit484609eeb06618dd2581f93ba57d0023a1f3adee (patch)
tree7f04a17039bdac5a306e1033a79e042b810051dd /target/linux/rb532-2.6/base-files/default
parent91e5dba2c76d9185cc06c32feb51b8b0d1c310ca (diff)
downloadmaster-31e0f0ae-484609eeb06618dd2581f93ba57d0023a1f3adee.tar.gz
master-31e0f0ae-484609eeb06618dd2581f93ba57d0023a1f3adee.tar.bz2
master-31e0f0ae-484609eeb06618dd2581f93ba57d0023a1f3adee.zip
commit profile support for base-files... patches still need to be done
SVN-Revision: 6465
Diffstat (limited to 'target/linux/rb532-2.6/base-files/default')
-rw-r--r--target/linux/rb532-2.6/base-files/default/etc/config/network12
-rwxr-xr-xtarget/linux/rb532-2.6/base-files/default/sbin/cf2nand61
2 files changed, 73 insertions, 0 deletions
diff --git a/target/linux/rb532-2.6/base-files/default/etc/config/network b/target/linux/rb532-2.6/base-files/default/etc/config/network
new file mode 100644
index 0000000000..8279690574
--- /dev/null
+++ b/target/linux/rb532-2.6/base-files/default/etc/config/network
@@ -0,0 +1,12 @@
+# Copyright (C) 2006 OpenWrt.org
+
+config interface loopback
+ option ifname lo
+ option proto static
+ option ipaddr 127.0.0.1
+ option netmask 255.0.0.0
+
+config interface lan
+ option ifname eth0
+ option proto dhcp
+
diff --git a/target/linux/rb532-2.6/base-files/default/sbin/cf2nand b/target/linux/rb532-2.6/base-files/default/sbin/cf2nand
new file mode 100755
index 0000000000..9cb216ca82
--- /dev/null
+++ b/target/linux/rb532-2.6/base-files/default/sbin/cf2nand
@@ -0,0 +1,61 @@
+#!/bin/sh
+. /etc/functions.sh
+
+copy_kernel() {
+ local input="$1"
+ local output="$2"
+ local cmdline="$3"
+ size="$(echo -n "$cmdline" | wc -c)"
+ dd if="$input" bs=3M count=1 > "$output"
+ /sbin/patch-cmdline "$output" "$cmdline"
+}
+
+fstype="$(mount | grep ' / ' | awk '$5 != "rootfs" {print $5}')"
+case "$fstype" in
+ ext2|jffs2) echo "Copying from $fstype to yaffs2";;
+ *) echo "Invalid filesystem."; exit 1;;
+esac
+
+[ -d /tmp/cf2nand ] && {
+ echo "/tmp/cf2nand already exists"
+ exit 1
+}
+
+mkdir /tmp/cf2nand
+mkdir /tmp/cf2nand/rootfs
+mount -t "$fstype" /dev/root /tmp/cf2nand/rootfs || {
+ echo "Mounting rootfs failed."
+ exit 1
+}
+
+boot="$(find_mtd_part 'RouterBoard NAND Boot')"
+main="$(find_mtd_part 'RouterBoard NAND Main')"
+[ -z "$boot" -o -z "$main" ] && {
+ echo "Cannot find NAND Flash partitions"
+ exit 1
+}
+
+echo "Erasing filesystem..."
+mtd erase Boot 2>/dev/null >/dev/null
+mtd erase Main 2>/dev/null >/dev/null
+
+mkdir /tmp/cf2nand/p1
+mkdir /tmp/cf2nand/p2
+mount -t yaffs2 "$boot" /tmp/cf2nand/p1
+mount -t yaffs2 "$main" /tmp/cf2nand/p2
+
+echo "Copying kernel..."
+copy_kernel /dev/cf/card0/part1 /tmp/cf2nand/p1/kernel "root=/dev/mtdblock1 rootfstype=yaffs2 " 2>/dev/null >/dev/null
+umount /tmp/cf2nand/p1
+rmdir /tmp/cf2nand/p1
+
+echo "Copying filesystem..."
+( cd /tmp/cf2nand/rootfs; tar c . ) | ( cd /tmp/cf2nand/p2; tar x )
+sync
+umount /tmp/cf2nand/p2
+rmdir /tmp/cf2nand/p2
+
+umount /tmp/cf2nand/rootfs
+rmdir /tmp/cf2nand/rootfs
+rmdir /tmp/cf2nand
+